<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAlarmHandling: fwAlarmHandling.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAlarmHandling
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAlarmHandling_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwAlarmHandling.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a214b8fe747b8e1165ea6f751d47df14b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a214b8fe747b8e1165ea6f751d47df14b">fwAlarmHandling_getDpsMatchingCriteria</a> (dyn_string systemNameFilters, dyn_string dpNameFilters, dyn_string dpAliasFilters, dyn_string dpTypeFilters, dyn_string &amp;matchingDps, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a214b8fe747b8e1165ea6f751d47df14b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b648d0c5ea1e21ef09b57a8303b478"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a67b648d0c5ea1e21ef09b57a8303b478">fwAlarmHandling_openScreen</a> (bool bAsNewModule, bool bStayOnTopOrModal, string sModuleName, string sPanelName, dyn_string &amp;exceptionInfo, unsigned x=0, unsigned y=0)</td></tr>
<tr class="separator:a67b648d0c5ea1e21ef09b57a8303b478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd96eb37287f1a541075eae297461402"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#abd96eb37287f1a541075eae297461402">fwAlarmHandling_openScreenWithDpeList</a> (dyn_string dpeList, bool bAsNewModule, bool bStayOnTopOrModal, string sModuleName, string sPanelName, dyn_string &amp;exceptionInfo, unsigned x=0, unsigned y=0)</td></tr>
<tr class="separator:abd96eb37287f1a541075eae297461402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace16eadf9d2f661cd6af893a8fe77942"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#ace16eadf9d2f661cd6af893a8fe77942">fwAlarmHandling_openScreenWithSavedFilter</a> (string filterName, bool bAsNewModule, bool bStayOnTopOrModal, string sModuleName, string sPanelName, dyn_string &amp;exceptionInfo, unsigned x=0, unsigned y=0)</td></tr>
<tr class="separator:ace16eadf9d2f661cd6af893a8fe77942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a937c2cd70cc534411f4de459103764"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a7a937c2cd70cc534411f4de459103764">fwAlarmHandling_openScreenWithFilter</a> (dyn_dyn_anytype filter, bool bAsNewModule, bool bStayOnTopOrModal, string sModuleName, string sPanelName, dyn_string &amp;exceptionInfo, unsigned x=0, unsigned y=0, string sFilterName=&quot;&quot;)</td></tr>
<tr class="separator:a7a937c2cd70cc534411f4de459103764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84d199d9aa7314818a36c2eac7edaf97"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw</a> ()</td></tr>
<tr class="separator:a84d199d9aa7314818a36c2eac7edaf97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c1dac63d5b201643c49a647e526433"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a48c1dac63d5b201643c49a647e526433">fwAlarmHandling_AESConfig_isForUn</a> ()</td></tr>
<tr class="separator:a48c1dac63d5b201643c49a647e526433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98725d6e038b5f861c7daca2cedfd239"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#a98725d6e038b5f861c7daca2cedfd239">fwAlarmHandling_AESConfig_useFwConfig</a> (dyn_string exceptionInfo)</td></tr>
<tr class="separator:a98725d6e038b5f861c7daca2cedfd239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef49eaeab3bb954f4821a74852d5ea06"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandling_8ctl.html#aef49eaeab3bb954f4821a74852d5ea06">fwAlarmHandling_AESConfig_useUnConfig</a> (dyn_string exceptionInfo)</td></tr>
<tr class="separator:aef49eaeab3bb954f4821a74852d5ea06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains functions for handling JCOP framework alarms. There are functions for filtering data points which have alarms as well as functions to open the JCOP Alarm Screen</p>
<dl class="section user"><dt>Creation Date</dt><dd>02/02/2006</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>25/06/2012: Marco Boccioli</p><ul>
<li>@jira{FWAH-257} Check for current alarm settings: bug in dpGet. In <a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw()</a>, wAlarmHandling_AESConfig_isForUn(): Removed system name. Added check if dp exists.</li>
</ul>
<p>12/06/2012: Marco Boccioli</p><ul>
<li>@jira{IS-768} , @jira{FWAH-253} Alarms columns not correct after installing unCore 5.2.4. Avoid clashing of configuration between JCOP Alarm Screen and UNICOS alarm screen written on _AESConfig. Added new functions: <a class="el" href="fwAlarmHandling_8ctl.html#a98725d6e038b5f861c7daca2cedfd239">fwAlarmHandling_AESConfig_useFwConfig()</a>, <a class="el" href="fwAlarmHandling_8ctl.html#aef49eaeab3bb954f4821a74852d5ea06">fwAlarmHandling_AESConfig_useUnConfig()</a>, <a class="el" href="fwAlarmHandling_8ctl.html#a48c1dac63d5b201643c49a647e526433">fwAlarmHandling_AESConfig_isForUn()</a>, <a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw()</a></li>
</ul>
<p>29/06/2011 Marco Boccioli</p><ul>
<li>@jira{ENS-3073} (Alarm Screen with predefined quick filter): added new parameters, $iLocalOrGlobal, $sFilterName , new optional variable filterName in <a class="el" href="fwAlarmHandling_8ctl.html#a7a937c2cd70cc534411f4de459103764">fwAlarmHandling_openScreenWithFilter()</a></li>
</ul>
<p>2011-07-05 Marco Boccioli</p><ul>
<li>@sav{84051} (Sometimes, the alias name in the filter makes the AS crash): modified function: <a class="el" href="fwAlarmHandling_8ctl.html#a214b8fe747b8e1165ea6f751d47df14b">fwAlarmHandling_getDpsMatchingCriteria()</a>. It checks now if the sys name is already specified in the dpe list, before adding it.</li>
<li>@sav{83995} (Error when filtering with multiple device name including sys name): modified function: <a class="el" href="fwAlarmHandling_8ctl.html#a214b8fe747b8e1165ea6f751d47df14b">fwAlarmHandling_getDpsMatchingCriteria()</a>. Removed the dynIntersect call.</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a214b8fe747b8e1165ea6f751d47df14b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a214b8fe747b8e1165ea6f751d47df14b">&#9670;&nbsp;</a></span>fwAlarmHandling_getDpsMatchingCriteria()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandling_getDpsMatchingCriteria </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>systemNameFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpNameFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpAliasFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpTypeFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>matchingDps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns a list of data points that match the given criteria. The result returned is as follows: result = ((dps that meet ALL DP name filter) &amp;&amp; (dps that meet ALL DP alias filters)) of ANY specified type, on ANY specified system</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">systemNameFilters</td><td>A list of systems to search in. The criteria are OR'ed </td></tr>
    <tr><td class="paramname">dpNameFilters</td><td>A list of criteria to filter on the dp name. The criteria are AND'ed. </td></tr>
    <tr><td class="paramname">dpAliasFilters</td><td>A list of criteria to filter on the dp alias. The criteria are AND'ed. </td></tr>
    <tr><td class="paramname">dpTypeFilters</td><td>A list of data point types to search. The criteria are ORed. </td></tr>
    <tr><td class="paramname">matchingDps</td><td>The list of matching dps is returned here. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a67b648d0c5ea1e21ef09b57a8303b478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67b648d0c5ea1e21ef09b57a8303b478">&#9670;&nbsp;</a></span>fwAlarmHandling_openScreen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandling_openScreen </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAsNewModule</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bStayOnTopOrModal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sModuleName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPanelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens a JCOP Alarm Screen with the default filter - filter shows ALL alarms in ALL systems.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bAsNewModule</td><td>input, should the display be opened in a new module, TRUE = new module, FALSE = child panel </td></tr>
    <tr><td class="paramname">bStayOnTopOrModal</td><td>input, for a new module - TRUE = stay on top, FALSE = normal behaviour for a child panel - TRUE = modal child panel, FALSE = normal behaviour </td></tr>
    <tr><td class="paramname">sModuleName</td><td>input, the name of the new module (if required) </td></tr>
    <tr><td class="paramname">sPanelName</td><td>input, the name of the new panel </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">x</td><td>input, Optional parameter - default value 0. X position of the new display </td></tr>
    <tr><td class="paramname">y</td><td>input, Optional parameter - default value 0. Y position of the new display </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abd96eb37287f1a541075eae297461402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd96eb37287f1a541075eae297461402">&#9670;&nbsp;</a></span>fwAlarmHandling_openScreenWithDpeList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandling_openScreenWithDpeList </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpeList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAsNewModule</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bStayOnTopOrModal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sModuleName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPanelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens a JCOP Alarm Screen to monitor a specific list of DPEs.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpeList</td><td>input, the list of data points or data point elements that the alarm screen should monitor and display </td></tr>
    <tr><td class="paramname">bAsNewModule</td><td>input, should the display be opened in a new module, TRUE = new module, FALSE = child panel </td></tr>
    <tr><td class="paramname">bStayOnTopOrModal</td><td>input, for a new module - TRUE = stay on top, FALSE = normal behaviour for a child panel - TRUE = modal child panel, FALSE = normal behaviour </td></tr>
    <tr><td class="paramname">sModuleName</td><td>input, the name of the new module (if required) </td></tr>
    <tr><td class="paramname">sPanelName</td><td>input, the name of the new panel </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">x</td><td>input, Optional parameter - default value 0. X position of the new display </td></tr>
    <tr><td class="paramname">y</td><td>input, Optional parameter - default value 0. Y position of the new display </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ace16eadf9d2f661cd6af893a8fe77942"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace16eadf9d2f661cd6af893a8fe77942">&#9670;&nbsp;</a></span>fwAlarmHandling_openScreenWithSavedFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandling_openScreenWithSavedFilter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filterName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAsNewModule</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bStayOnTopOrModal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sModuleName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPanelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens a JCOP Alarm Screen with the specified pre-saved filter.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filterName</td><td>input, the name of the pre-saved filter that should be loaded and displayed </td></tr>
    <tr><td class="paramname">bAsNewModule</td><td>input, should the display be opened in a new module, TRUE = new module, FALSE = child panel </td></tr>
    <tr><td class="paramname">bStayOnTopOrModal</td><td>input, for a new module - TRUE = stay on top, FALSE = normal behaviour for a child panel - TRUE = modal child panel, FALSE = normal behaviour </td></tr>
    <tr><td class="paramname">sModuleName</td><td>input, the name of the new module (if required) </td></tr>
    <tr><td class="paramname">sPanelName</td><td>input, the name of the new panel </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">x</td><td>input, Optional parameter - default value 0. X position of the new display </td></tr>
    <tr><td class="paramname">y</td><td>input, Optional parameter - default value 0. Y position of the new display </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7a937c2cd70cc534411f4de459103764"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a937c2cd70cc534411f4de459103764">&#9670;&nbsp;</a></span>fwAlarmHandling_openScreenWithFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandling_openScreenWithFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAsNewModule</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bStayOnTopOrModal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sModuleName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPanelName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFilterName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens a JCOP Alarm Screen with the specified custom filter.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filter</td><td>input, the filter shoule be passed here, check the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants that define the filter object </td></tr>
    <tr><td class="paramname">bAsNewModule</td><td>input, should the display be opened in a new module, TRUE = new module, FALSE = child panel </td></tr>
    <tr><td class="paramname">bStayOnTopOrModal</td><td>input, for a new module - TRUE = stay on top, FALSE = normal behaviour for a child panel - TRUE = modal child panel, FALSE = normal behaviour </td></tr>
    <tr><td class="paramname">sModuleName</td><td>input, the name of the new module (if required) </td></tr>
    <tr><td class="paramname">sPanelName</td><td>input, the name of the new panel </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">x</td><td>input, Optional parameter - default value 0. X position of the new display </td></tr>
    <tr><td class="paramname">y</td><td>input, Optional parameter - default value 0. Y position of the new display </td></tr>
    <tr><td class="paramname">sFilterName</td><td>input, Optional parameter - default value "". Filter name to be shown on the Quick Filters box </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a84d199d9aa7314818a36c2eac7edaf97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84d199d9aa7314818a36c2eac7edaf97">&#9670;&nbsp;</a></span>fwAlarmHandling_AESConfig_isForFw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmHandling_AESConfig_isForFw </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if the alarm screen configuration stored in _AESConfig is the one for JCOP FW.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>true if the config is for JCOP fw, false if else (i.e. it can be UNICOS config) </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="fwAlarmHandling_8ctl.html#a48c1dac63d5b201643c49a647e526433">fwAlarmHandling_AESConfig_isForUn()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#aef49eaeab3bb954f4821a74852d5ea06">fwAlarmHandling_AESConfig_useUnConfig()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#a98725d6e038b5f861c7daca2cedfd239">fwAlarmHandling_AESConfig_useFwConfig()</a> </dd></dl>

</div>
</div>
<a id="a48c1dac63d5b201643c49a647e526433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48c1dac63d5b201643c49a647e526433">&#9670;&nbsp;</a></span>fwAlarmHandling_AESConfig_isForUn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmHandling_AESConfig_isForUn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if the alarm screen configuration stored in _AESConfig is the one for UNICOS.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>true if the config is for UNICOS, false if else (i.e. it can be JCOP framework config) </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#aef49eaeab3bb954f4821a74852d5ea06">fwAlarmHandling_AESConfig_useUnConfig()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#a98725d6e038b5f861c7daca2cedfd239">fwAlarmHandling_AESConfig_useFwConfig()</a> </dd></dl>

</div>
</div>
<a id="a98725d6e038b5f861c7daca2cedfd239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98725d6e038b5f861c7daca2cedfd239">&#9670;&nbsp;</a></span>fwAlarmHandling_AESConfig_useFwConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmHandling_AESConfig_useFwConfig </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Applies the alarm screen configuration (stored in _AESConfig) for the JCOP FW.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>errors returned here </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if success </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="fwAlarmHandling_8ctl.html#a48c1dac63d5b201643c49a647e526433">fwAlarmHandling_AESConfig_isForUn()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#aef49eaeab3bb954f4821a74852d5ea06">fwAlarmHandling_AESConfig_useUnConfig()</a> </dd></dl>

</div>
</div>
<a id="aef49eaeab3bb954f4821a74852d5ea06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef49eaeab3bb954f4821a74852d5ea06">&#9670;&nbsp;</a></span>fwAlarmHandling_AESConfig_useUnConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmHandling_AESConfig_useUnConfig </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Applies the alarm screen configuration (stored in _AESConfig) for the UNICOS.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>errors returned here </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if success </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="fwAlarmHandling_8ctl.html#a48c1dac63d5b201643c49a647e526433">fwAlarmHandling_AESConfig_isForUn()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#a84d199d9aa7314818a36c2eac7edaf97">fwAlarmHandling_AESConfig_isForFw()</a> </dd>
<dd>
<a class="el" href="fwAlarmHandling_8ctl.html#a98725d6e038b5f861c7daca2cedfd239">fwAlarmHandling_AESConfig_useFwConfig()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlarmHandling_8ctl.html">fwAlarmHandling.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
